diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-spectrum-per-example.cc ns-3.44/examples/wireless/wifi-spectrum-per-example.cc
--- ns-3.43/examples/wireless/wifi-spectrum-per-example.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-spectrum-per-example.cc	2025-03-09 16:55:49.339371000 -0700
@@ -91,12 +91,12 @@
 /**
  * Monitor sniffer Rx trace
  *
- * \param packet The sensed packet.
- * \param channelFreqMhz The channel frequency [MHz].
- * \param txVector The Tx vector.
- * \param aMpdu The aMPDU.
- * \param signalNoise The signal and noise dBm.
- * \param staId The STA ID.
+ * @param packet The sensed packet.
+ * @param channelFreqMhz The channel frequency [MHz].
+ * @param txVector The Tx vector.
+ * @param aMpdu The aMPDU.
+ * @param signalNoise The signal and noise dBm.
+ * @param staId The STA ID.
  */
 void
 MonitorSniffRx(Ptr<const Packet> packet,
@@ -443,8 +443,8 @@
             uint16_t port = 9;
             UdpServerHelper server(port);
             serverApp = server.Install(wifiStaNode.Get(0));
-            serverApp.Start(Seconds(0.0));
-            serverApp.Stop(simulationTime + Seconds(1.0));
+            serverApp.Start(Seconds(0));
+            serverApp.Stop(simulationTime + Seconds(1));
             const auto packetInterval = payloadSize * 8.0 / (datarate * 1e6);
 
             UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -452,8 +452,8 @@
             client.SetAttribute("Interval", TimeValue(Seconds(packetInterval)));
             client.SetAttribute("PacketSize", UintegerValue(payloadSize));
             ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
-            clientApp.Start(Seconds(1.0));
-            clientApp.Stop(simulationTime + Seconds(1.0));
+            clientApp.Start(Seconds(1));
+            clientApp.Stop(simulationTime + Seconds(1));
         }
         else
         {
@@ -462,8 +462,8 @@
             Address localAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
             PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", localAddress);
             serverApp = packetSinkHelper.Install(wifiStaNode.Get(0));
-            serverApp.Start(Seconds(0.0));
-            serverApp.Stop(simulationTime + Seconds(1.0));
+            serverApp.Start(Seconds(0));
+            serverApp.Stop(simulationTime + Seconds(1));
 
             OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
             onoff.SetAttribute("OnTime", StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -473,8 +473,8 @@
             AddressValue remoteAddress(InetSocketAddress(staNodeInterface.GetAddress(0), port));
             onoff.SetAttribute("Remote", remoteAddress);
             ApplicationContainer clientApp = onoff.Install(wifiApNode.Get(0));
-            clientApp.Start(Seconds(1.0));
-            clientApp.Stop(simulationTime + Seconds(1.0));
+            clientApp.Start(Seconds(1));
+            clientApp.Stop(simulationTime + Seconds(1));
         }
 
         Config::ConnectWithoutContext("/NodeList/0/DeviceList/*/Phy/MonitorSnifferRx",
@@ -495,7 +495,7 @@
         g_noiseDbmAvg = 0;
         g_samples = 0;
 
-        Simulator::Stop(simulationTime + Seconds(1.0));
+        Simulator::Stop(simulationTime + Seconds(1));
         Simulator::Run();
 
         auto throughput = 0.0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-spectrum-per-interference.cc ns-3.44/examples/wireless/wifi-spectrum-per-interference.cc
--- ns-3.43/examples/wireless/wifi-spectrum-per-interference.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-spectrum-per-interference.cc	2025-03-09 16:55:49.339371000 -0700
@@ -97,12 +97,12 @@
 /**
  * Monitor sniffer Rx trace
  *
- * \param packet The sensed packet.
- * \param channelFreqMhz The channel frequency [MHz].
- * \param txVector The Tx vector.
- * \param aMpdu The aMPDU.
- * \param signalNoise The signal and noise dBm.
- * \param staId The STA ID.
+ * @param packet The sensed packet.
+ * @param channelFreqMhz The channel frequency [MHz].
+ * @param txVector The Tx vector.
+ * @param aMpdu The aMPDU.
+ * @param signalNoise The signal and noise dBm.
+ * @param staId The STA ID.
  */
 void
 MonitorSniffRx(Ptr<const Packet> packet,
@@ -498,8 +498,8 @@
             uint16_t port = 9;
             UdpServerHelper server(port);
             serverApp = server.Install(wifiStaNode.Get(0));
-            serverApp.Start(Seconds(0.0));
-            serverApp.Stop(simulationTime + Seconds(1.0));
+            serverApp.Start(Seconds(0));
+            serverApp.Stop(simulationTime + Seconds(1));
             const auto packetInterval = payloadSize * 8.0 / (datarate * 1e6);
 
             UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -507,8 +507,8 @@
             client.SetAttribute("Interval", TimeValue(Seconds(packetInterval)));
             client.SetAttribute("PacketSize", UintegerValue(payloadSize));
             ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
-            clientApp.Start(Seconds(1.0));
-            clientApp.Stop(simulationTime + Seconds(1.0));
+            clientApp.Start(Seconds(1));
+            clientApp.Stop(simulationTime + Seconds(1));
         }
         else
         {
@@ -517,8 +517,8 @@
             Address localAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
             PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", localAddress);
             serverApp = packetSinkHelper.Install(wifiStaNode.Get(0));
-            serverApp.Start(Seconds(0.0));
-            serverApp.Stop(simulationTime + Seconds(1.0));
+            serverApp.Start(Seconds(0));
+            serverApp.Stop(simulationTime + Seconds(1));
 
             OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
             onoff.SetAttribute("OnTime", StringValue("ns3::ConstantRandomVariable[Constant=1]"));
@@ -528,8 +528,8 @@
             AddressValue remoteAddress(InetSocketAddress(staNodeInterface.GetAddress(0), port));
             onoff.SetAttribute("Remote", remoteAddress);
             ApplicationContainer clientApp = onoff.Install(wifiApNode.Get(0));
-            clientApp.Start(Seconds(1.0));
-            clientApp.Stop(simulationTime + Seconds(1.0));
+            clientApp.Start(Seconds(1));
+            clientApp.Stop(simulationTime + Seconds(1));
         }
 
         // Configure waveform generator
@@ -578,22 +578,22 @@
         Ptr<WifiPhy> wifiPhyPtr = staDevicePtr->GetObject<WifiNetDevice>()->GetPhy();
         if (i <= 15)
         {
-            NS_ABORT_MSG_IF(wifiPhyPtr->GetChannelWidth() != 20,
+            NS_ABORT_MSG_IF(wifiPhyPtr->GetChannelWidth() != MHz_u{20},
                             "Error: Channel width must be 20 MHz if MCS index <= 15");
             NS_ABORT_MSG_IF(
-                wifiPhyPtr->GetFrequency() != 5180,
+                wifiPhyPtr->GetFrequency() != MHz_u{5180},
                 "Error:  Wi-Fi nodes must be tuned to 5180 MHz to match the waveform generator");
         }
         else
         {
-            NS_ABORT_MSG_IF(wifiPhyPtr->GetChannelWidth() != 40,
+            NS_ABORT_MSG_IF(wifiPhyPtr->GetChannelWidth() != MHz_u{40},
                             "Error: Channel width must be 40 MHz if MCS index > 15");
             NS_ABORT_MSG_IF(
-                wifiPhyPtr->GetFrequency() != 5190,
+                wifiPhyPtr->GetFrequency() != MHz_u{5190},
                 "Error:  Wi-Fi nodes must be tuned to 5190 MHz to match the waveform generator");
         }
 
-        Simulator::Stop(simulationTime + Seconds(1.0));
+        Simulator::Stop(simulationTime + Seconds(1));
         Simulator::Run();
 
         auto throughput = 0.0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-spectrum-saturation-example.cc ns-3.44/examples/wireless/wifi-spectrum-saturation-example.cc
--- ns-3.43/examples/wireless/wifi-spectrum-saturation-example.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-spectrum-saturation-example.cc	2025-03-09 16:55:49.339371000 -0700
@@ -577,8 +577,8 @@
         uint16_t port = 9;
         UdpServerHelper server(port);
         ApplicationContainer serverApp = server.Install(wifiStaNode.Get(0));
-        serverApp.Start(Seconds(0.0));
-        serverApp.Stop(simulationTime + Seconds(1.0));
+        serverApp.Start(Seconds(0));
+        serverApp.Stop(simulationTime + Seconds(1));
         const auto packetInterval = payloadSize * 8.0 / (datarate * 1e6);
 
         UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -586,8 +586,8 @@
         client.SetAttribute("Interval", TimeValue(Seconds(packetInterval)));
         client.SetAttribute("PacketSize", UintegerValue(payloadSize));
         ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
-        clientApp.Start(Seconds(1.0));
-        clientApp.Stop(simulationTime + Seconds(1.0));
+        clientApp.Start(Seconds(1));
+        clientApp.Stop(simulationTime + Seconds(1));
 
         if (enablePcap)
         {
@@ -600,7 +600,7 @@
             phy.EnablePcap(ss.str(), apDevice);
         }
 
-        Simulator::Stop(simulationTime + Seconds(1.0));
+        Simulator::Stop(simulationTime + Seconds(1));
         Simulator::Run();
 
         double totalPacketsThrough = DynamicCast<UdpServer>(serverApp.Get(0))->GetReceived();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-tcp.cc ns-3.44/examples/wireless/wifi-tcp.cc
--- ns-3.43/examples/wireless/wifi-tcp.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-tcp.cc	2025-03-09 16:55:49.339371000 -0700
@@ -170,8 +170,8 @@
     ApplicationContainer serverApp = server.Install(staWifiNode);
 
     /* Start Applications */
-    sinkApp.Start(Seconds(0.0));
-    serverApp.Start(Seconds(1.0));
+    sinkApp.Start(Seconds(0));
+    serverApp.Start(Seconds(1));
     Simulator::Schedule(Seconds(1.1), &CalculateThroughput);
 
     /* Enable Traces */
@@ -183,7 +183,7 @@
     }
 
     /* Start Simulation */
-    Simulator::Stop(simulationTime + Seconds(1.0));
+    Simulator::Stop(simulationTime + Seconds(1));
     Simulator::Run();
 
     auto averageThroughput =
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-timing-attributes.cc ns-3.44/examples/wireless/wifi-timing-attributes.cc
--- ns-3.43/examples/wireless/wifi-timing-attributes.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-timing-attributes.cc	2025-03-09 16:55:49.339371000 -0700
@@ -131,8 +131,8 @@
     uint16_t port = 9;
     UdpServerHelper server(port);
     ApplicationContainer serverApp = server.Install(wifiStaNode.Get(0));
-    serverApp.Start(Seconds(0.0));
-    serverApp.Stop(simulationTime + Seconds(1.0));
+    serverApp.Start(Seconds(0));
+    serverApp.Stop(simulationTime + Seconds(1));
 
     UdpClientHelper client(staNodeInterface.GetAddress(0), port);
     client.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -140,14 +140,14 @@
     client.SetAttribute("PacketSize", UintegerValue(1472));     // bytes
 
     ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
-    clientApp.Start(Seconds(1.0));
-    clientApp.Stop(simulationTime + Seconds(1.0));
+    clientApp.Start(Seconds(1));
+    clientApp.Stop(simulationTime + Seconds(1));
 
     // Populate routing table
     Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
     // Set simulation time and launch simulation
-    Simulator::Stop(simulationTime + Seconds(1.0));
+    Simulator::Stop(simulationTime + Seconds(1));
     Simulator::Run();
 
     // Get and print results
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-txop-aggregation.cc ns-3.44/examples/wireless/wifi-txop-aggregation.cc
--- ns-3.43/examples/wireless/wifi-txop-aggregation.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-txop-aggregation.cc	2025-03-09 16:55:49.339371000 -0700
@@ -77,12 +77,12 @@
     /**
      * Callback connected to TXOP duration trace source.
      *
-     * \param startTime TXOP start time
-     * \param duration TXOP duration
-     * \param linkId the ID of the link
+     * @param startTime TXOP start time
+     * @param duration TXOP duration
+     * @param linkId the ID of the link
      */
     void Trace(Time startTime, Time duration, uint8_t linkId);
-    Time m_max{Seconds(0)}; //!< maximum TXOP duration
+    Time m_max; //!< maximum TXOP duration
 };
 
 void
@@ -339,8 +339,8 @@
     uint16_t port = 9;
     UdpServerHelper serverA(port);
     ApplicationContainer serverAppA = serverA.Install(wifiStaNodes.Get(0));
-    serverAppA.Start(Seconds(0.0));
-    serverAppA.Stop(simulationTime + Seconds(1.0));
+    serverAppA.Start(Seconds(0));
+    serverAppA.Stop(simulationTime + Seconds(1));
 
     UdpClientHelper clientA(StaInterfaceA.GetAddress(0), port);
     clientA.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -348,13 +348,13 @@
     clientA.SetAttribute("PacketSize", UintegerValue(payloadSize));
 
     ApplicationContainer clientAppA = clientA.Install(wifiApNodes.Get(0));
-    clientAppA.Start(Seconds(1.0));
-    clientAppA.Stop(simulationTime + Seconds(1.0));
+    clientAppA.Start(Seconds(1));
+    clientAppA.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverB(port);
     ApplicationContainer serverAppB = serverB.Install(wifiStaNodes.Get(1));
-    serverAppB.Start(Seconds(0.0));
-    serverAppB.Stop(simulationTime + Seconds(1.0));
+    serverAppB.Start(Seconds(0));
+    serverAppB.Stop(simulationTime + Seconds(1));
 
     UdpClientHelper clientB(StaInterfaceB.GetAddress(0), port);
     clientB.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -362,13 +362,13 @@
     clientB.SetAttribute("PacketSize", UintegerValue(payloadSize));
 
     ApplicationContainer clientAppB = clientB.Install(wifiApNodes.Get(1));
-    clientAppB.Start(Seconds(1.0));
-    clientAppB.Stop(simulationTime + Seconds(1.0));
+    clientAppB.Start(Seconds(1));
+    clientAppB.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverC(port);
     ApplicationContainer serverAppC = serverC.Install(wifiStaNodes.Get(2));
-    serverAppC.Start(Seconds(0.0));
-    serverAppC.Stop(simulationTime + Seconds(1.0));
+    serverAppC.Start(Seconds(0));
+    serverAppC.Stop(simulationTime + Seconds(1));
 
     UdpClientHelper clientC(StaInterfaceC.GetAddress(0), port);
     clientC.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -376,13 +376,13 @@
     clientC.SetAttribute("PacketSize", UintegerValue(payloadSize));
 
     ApplicationContainer clientAppC = clientC.Install(wifiApNodes.Get(2));
-    clientAppC.Start(Seconds(1.0));
-    clientAppC.Stop(simulationTime + Seconds(1.0));
+    clientAppC.Start(Seconds(1));
+    clientAppC.Stop(simulationTime + Seconds(1));
 
     UdpServerHelper serverD(port);
     ApplicationContainer serverAppD = serverD.Install(wifiStaNodes.Get(3));
-    serverAppD.Start(Seconds(0.0));
-    serverAppD.Stop(simulationTime + Seconds(1.0));
+    serverAppD.Start(Seconds(0));
+    serverAppD.Stop(simulationTime + Seconds(1));
 
     UdpClientHelper clientD(StaInterfaceD.GetAddress(0), port);
     clientD.SetAttribute("MaxPackets", UintegerValue(4294967295U));
@@ -390,8 +390,8 @@
     clientD.SetAttribute("PacketSize", UintegerValue(payloadSize));
 
     ApplicationContainer clientAppD = clientD.Install(wifiApNodes.Get(3));
-    clientAppD.Start(Seconds(1.0));
-    clientAppD.Stop(simulationTime + Seconds(1.0));
+    clientAppD.Start(Seconds(1));
+    clientAppD.Stop(simulationTime + Seconds(1));
 
     if (enablePcap)
     {
@@ -405,7 +405,7 @@
         phy.EnablePcap("STA_D", staDeviceD.Get(0));
     }
 
-    Simulator::Stop(simulationTime + Seconds(1.0));
+    Simulator::Stop(simulationTime + Seconds(1));
     Simulator::Run();
 
     // Show results
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-vht-network.cc ns-3.44/examples/wireless/wifi-vht-network.cc
--- ns-3.43/examples/wireless/wifi-vht-network.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-vht-network.cc	2025-03-09 16:55:49.339371000 -0700
@@ -6,6 +6,7 @@
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
 
+#include "ns3/attribute-container.h"
 #include "ns3/boolean.h"
 #include "ns3/command-line.h"
 #include "ns3/config.h"
@@ -29,6 +30,9 @@
 #include "ns3/yans-wifi-channel.h"
 #include "ns3/yans-wifi-helper.h"
 
+#include <algorithm>
+#include <vector>
+
 // This is a simple example in order to show how to configure an IEEE 802.11ac Wi-Fi network.
 //
 // It outputs the UDP or TCP goodput for every VHT MCS value, which depends on the MCS value (0 to
@@ -58,8 +62,11 @@
     bool use80Plus80{false};
     Time simulationTime{"10s"};
     meter_u distance{1.0};
-    int mcs{-1}; // -1 indicates an unset value
+    std::string mcsStr;
+    std::vector<uint64_t> mcsValues;
     std::string phyModel{"Yans"};
+    int channelWidth{-1};  // in MHz, -1 indicates an unset value
+    int guardInterval{-1}; // in nanoseconds, -1 indicates an unset value
     double minExpectedThroughput{0.0};
     double maxExpectedThroughput{0.0};
 
@@ -71,11 +78,22 @@
     cmd.AddValue("udp", "UDP if set to 1, TCP otherwise", udp);
     cmd.AddValue("useRts", "Enable/disable RTS/CTS", useRts);
     cmd.AddValue("use80Plus80", "Enable/disable use of 80+80 MHz", use80Plus80);
-    cmd.AddValue("mcs", "if set, limit testing to a specific MCS (0-9)", mcs);
+    cmd.AddValue(
+        "mcs",
+        "list of comma separated MCS values to test; if unset, all MCS values (0-9) are tested",
+        mcsStr);
     cmd.AddValue("phyModel",
                  "PHY model to use (Yans or Spectrum). If 80+80 MHz is enabled, then Spectrum is "
                  "automatically selected",
                  phyModel);
+    cmd.AddValue("channelWidth",
+                 "if set, limit testing to a specific channel width expressed in MHz (20, 40, 80 "
+                 "or 160 MHz)",
+                 channelWidth);
+    cmd.AddValue("guardInterval",
+                 "if set, limit testing to a specific guard interval duration expressed in "
+                 "nanoseconds (800 or 400 ns)",
+                 guardInterval);
     cmd.AddValue("minExpectedThroughput",
                  "if set, simulation fails if the lowest throughput is below this value",
                  minExpectedThroughput);
@@ -108,29 +126,57 @@
               << "short GI"
               << "\t\t"
               << "Throughput" << '\n';
-    int minMcs = 0;
-    int maxMcs = 9;
-    if (mcs >= 0 && mcs <= 9)
+    uint8_t minMcs = 0;
+    uint8_t maxMcs = 9;
+
+    if (mcsStr.empty())
+    {
+        for (uint8_t mcs = minMcs; mcs <= maxMcs; ++mcs)
+        {
+            mcsValues.push_back(mcs);
+        }
+    }
+    else
     {
-        minMcs = mcs;
-        maxMcs = mcs;
+        AttributeContainerValue<UintegerValue, ',', std::vector> attr;
+        auto checker = DynamicCast<AttributeContainerChecker>(MakeAttributeContainerChecker(attr));
+        checker->SetItemChecker(MakeUintegerChecker<uint8_t>());
+        attr.DeserializeFromString(mcsStr, checker);
+        mcsValues = attr.Get();
+        std::sort(mcsValues.begin(), mcsValues.end());
     }
-    for (int mcs = minMcs; mcs <= maxMcs; mcs++)
+
+    int minChannelWidth = 20;
+    int maxChannelWidth = 160;
+    if (channelWidth >= minChannelWidth && channelWidth <= maxChannelWidth)
+    {
+        minChannelWidth = channelWidth;
+        maxChannelWidth = channelWidth;
+    }
+    int minGi = 400;
+    int maxGi = 800;
+    if (guardInterval >= minGi && guardInterval <= maxGi)
+    {
+        minGi = guardInterval;
+        maxGi = guardInterval;
+    }
+
+    for (const auto mcs : mcsValues)
     {
         uint8_t index = 0;
         double previous = 0;
-        for (int channelWidth = 20; channelWidth <= 160;)
+        for (int width = minChannelWidth; width <= maxChannelWidth; width *= 2) // MHz
         {
-            if (mcs == 9 && channelWidth == 20)
+            if (mcs == 9 && width == 20)
             {
-                channelWidth *= 2;
                 continue;
             }
-            const auto is80Plus80 = (use80Plus80 && (channelWidth == 160));
-            const std::string widthStr = is80Plus80 ? "80+80" : std::to_string(channelWidth);
+            const auto is80Plus80 = (use80Plus80 && (width == 160));
+            const std::string widthStr = is80Plus80 ? "80+80" : std::to_string(width);
             const auto segmentWidthStr = is80Plus80 ? "80" : widthStr;
-            for (auto sgi : {false, true})
+            for (int gi = maxGi; gi >= minGi; gi /= 2) // Nanoseconds
             {
+                const auto sgi = (gi == 400);
                 uint32_t payloadSize; // 1500 byte IP packet
                 if (udp)
                 {
@@ -188,7 +234,7 @@
                     phy.SetChannel(spectrumChannel);
 
                     phy.Set("ChannelSettings",
-                            StringValue("{0, " + std::to_string(channelWidth) + ", BAND_5GHZ, 0}"));
+                            StringValue("{0, " + std::to_string(width) + ", BAND_5GHZ, 0}"));
 
                     mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
                     staDevice = wifi.Install(phy, mac, wifiStaNode);
@@ -208,7 +254,7 @@
                     phy.SetChannel(channel.Create());
 
                     phy.Set("ChannelSettings",
-                            StringValue("{0, " + std::to_string(channelWidth) + ", BAND_5GHZ, 0}"));
+                            StringValue("{0, " + std::to_string(width) + ", BAND_5GHZ, 0}"));
 
                     mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
                     staDevice = wifi.Install(phy, mac, wifiStaNode);
@@ -254,8 +300,10 @@
                 apNodeInterface = address.Assign(apDevice);
 
                 /* Setting applications */
-                const auto maxLoad =
-                    VhtPhy::GetDataRate(mcs, channelWidth, NanoSeconds(sgi ? 400 : 800), 1);
+                const auto maxLoad = VhtPhy::GetDataRate(mcs,
+                                                         MHz_u{static_cast<double>(width)},
+                                                         NanoSeconds(sgi ? 400 : 800),
+                                                         1);
                 ApplicationContainer serverApp;
                 if (udp)
                 {
@@ -265,8 +313,8 @@
                     serverApp = server.Install(wifiStaNode.Get(0));
                     streamNumber += server.AssignStreams(wifiStaNode.Get(0), streamNumber);
 
-                    serverApp.Start(Seconds(0.0));
-                    serverApp.Stop(simulationTime + Seconds(1.0));
+                    serverApp.Start(Seconds(0));
+                    serverApp.Stop(simulationTime + Seconds(1));
                     const auto packetInterval = payloadSize * 8.0 / maxLoad;
 
                     UdpClientHelper client(staNodeInterface.GetAddress(0), port);
@@ -276,8 +324,8 @@
                     ApplicationContainer clientApp = client.Install(wifiApNode.Get(0));
                     streamNumber += client.AssignStreams(wifiApNode.Get(0), streamNumber);
 
-                    clientApp.Start(Seconds(1.0));
-                    clientApp.Stop(simulationTime + Seconds(1.0));
+                    clientApp.Start(Seconds(1));
+                    clientApp.Stop(simulationTime + Seconds(1));
                 }
                 else
                 {
@@ -289,8 +337,8 @@
                     streamNumber +=
                         packetSinkHelper.AssignStreams(wifiStaNode.Get(0), streamNumber);
 
-                    serverApp.Start(Seconds(0.0));
-                    serverApp.Stop(simulationTime + Seconds(1.0));
+                    serverApp.Start(Seconds(0));
+                    serverApp.Stop(simulationTime + Seconds(1));
 
                     OnOffHelper onoff("ns3::TcpSocketFactory", Ipv4Address::GetAny());
                     onoff.SetAttribute("OnTime",
@@ -305,13 +353,13 @@
                     ApplicationContainer clientApp = onoff.Install(wifiApNode.Get(0));
                     streamNumber += onoff.AssignStreams(wifiApNode.Get(0), streamNumber);
 
-                    clientApp.Start(Seconds(1.0));
-                    clientApp.Stop(simulationTime + Seconds(1.0));
+                    clientApp.Start(Seconds(1));
+                    clientApp.Stop(simulationTime + Seconds(1));
                 }
 
                 Ipv4GlobalRoutingHelper::PopulateRoutingTables();
 
-                Simulator::Stop(simulationTime + Seconds(1.0));
+                Simulator::Stop(simulationTime + Seconds(1));
                 Simulator::Run();
 
                 auto rxBytes = 0.0;
@@ -332,7 +380,7 @@
                           << "\t\t\t" << throughput << " Mbit/s" << std::endl;
 
                 // test first element
-                if (mcs == minMcs && channelWidth == 20 && !sgi)
+                if (mcs == minMcs && width == 20 && !sgi)
                 {
                     if (throughput < minExpectedThroughput)
                     {
@@ -341,7 +389,7 @@
                     }
                 }
                 // test last element
-                if (mcs == maxMcs && channelWidth == 160 && sgi)
+                if (mcs == maxMcs && width == 160 && sgi)
                 {
                     if (maxExpectedThroughput > 0 && throughput > maxExpectedThroughput)
                     {
@@ -371,7 +419,6 @@
                 }
                 index++;
             }
-            channelWidth *= 2;
         }
     }
     return 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/examples/wireless/wifi-wired-bridging.cc ns-3.44/examples/wireless/wifi-wired-bridging.cc
--- ns-3.43/examples/wireless/wifi-wired-bridging.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/examples/wireless/wifi-wired-bridging.cc	2025-03-09 16:55:49.339371000 -0700
@@ -181,7 +181,7 @@
     onoff.SetConstantRate(DataRate("500kb/s"));
     ApplicationContainer apps = onoff.Install(staNodes[0].Get(0));
     apps.Start(Seconds(0.5));
-    apps.Stop(Seconds(3.0));
+    apps.Stop(Seconds(3));
 
     wifiPhy.EnablePcap("wifi-wired-bridging", apDevices[0]);
     wifiPhy.EnablePcap("wifi-wired-bridging", apDevices[1]);
@@ -192,7 +192,7 @@
         MobilityHelper::EnableAsciiAll(ascii.CreateFileStream("wifi-wired-bridging.mob"));
     }
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
     Simulator::Destroy();
 
